// +FHDR------------------------------------------------------------
//                 Copyright (c) 2022 SmartLogic.
//                       ALL RIGHTS RESERVED
// -----------------------------------------------------------------
// Filename      : spu_sw_queue.h
// Author        : 
// Created On    : 2023-01-11
// Last Modified :
// -----------------------------------------------------------------
// Description:
//
//
// -FHDR------------------------------------------------------------

#ifndef __SPU_LOG_H__
#define __SPU_LOG_H__

#define SPU_LOG_TEST_FLAG

typedef enum SPU_LOG_LEVEL
{
    LOG_OFF = 0,
    LOG_ERROR,
    LOG_WARN,
    LOG_INFO,
    LOG_DEBUG,
    LOG_TICK,
}spu_log_level_e;

typedef enum SPU_SW_MSG_PKT_TYPE
{
    PKT_TYPE_STR_LOG      = 0x60,
    PKT_TYPE_BIN_LOG      = 0x61,
    PKT_TYPE_PLATFORM_LOG = 0x62,
}spu_sw_msg_pkt_type_e;

/* 对外接口 */
void osp_sendLog(int level, char* pbuf, int size, int cell_id);
void osp_sendLog_print(int level, char* pbuf, int size, int cell_id);

/* 对内接口 */
void spu_log_init(uint8_t level);
void spu_log_output(uint8_t level, const char *fmt, ...);
uint8_t spu_log_level_set(spu_log_level_e emlog_level);
uint8_t spu_log_level_get(void);

#ifdef PCIE_BACKHAUL
void com_debug_log(const char *fmt, ...);
#endif

#endif  /*__SPU_LOG_H__*/

